﻿using System;
using Common.Commands;
using Logic.Helper;

namespace Logic.Communications
{
    public class TpiRequest
    {
        public string Data { get; private set; }

        public TpiRequest(RequestCommand command, String data)
        {
            Data = ChecksumHelper.AppendCheckSumAndEndOfRequest(command.GetStringValue() + data);
        }

        public TpiRequest(RequestCommand command)
        {
            Data = ChecksumHelper.AppendCheckSumAndEndOfRequest(command.GetStringValue());
        }

    }
}
